win10安装flutter

hxy 2019-12-15 PM 337℃ 0条 访问: 338 次

一、安装fluuter

1.1使用镜像
由于在国内访问Flutter有时可能会受到限制,Flutter官方为中国开发者搭建了临时镜像,大家可以将如下环境变量加入到用户环境变量中:
export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

1.2系统要求
要安装并运行Flutter,您的开发环境必须满足以下最低要求:
操作系统: Windows 7 或更高版本 (64-bit)
磁盘空间: 400 MB (不包括Android Studio的磁盘空间).
工具: Flutter 依赖下面这些命令行工具.
Git for Windows (Git命令行工具)

如果已安装Git for Windows,请确保命令提示符或PowerShell中运行 git 命令,不然在后面运行flutter doctor时将出现Unable to find git in your PATH错误, 此时需要手动添加C:Program FilesGitbin至Path系统环境变量中

1.3 下载flutter sdk压缩包
地址:https://flutter.io/docs/get-started/install/windows
如图:https://img.hxyxyz.top:444/images/2019/12/15/1.png

1.4 更新路径
如果希望在常规Windows控制台中运行Flutter命令,请执行以下步骤将Flutter添加到PATH环境变量中:
在“开始”搜索栏中,输入“ env”,然后选择编辑您的帐户的环境变量。
在“ 用户变量”下,检查是否存在名为Path的条目:
如果条目存在,追加的完整路径flutterbin使用 ;从现有值的分隔符。
如果该条目不存在,请创建一个新的用户变量,其名称Path以的完整路径flutterbin作为其值。
请注意,必须关闭并重新打开任何现有的控制台窗口,这些更改才能生效。

1.5 运行 flutter doctor
打开一个新的命令提示符或PowerShell窗口并运行以下命令以查看是否需要安装任何依赖项来完成安装:

flutter doctor

该命令检查您的环境并在终端窗口中显示报告。Dart SDK已经在捆绑在Flutter里了,没有必要单独安装Dart。 仔细检查命令行输出以获取可能需要安装的其他软件或进一步需要执行的任务(以粗体显示)

例如:

[-] Android toolchain - develop for Android devices
    • Android SDK at D:\Android\sdk
    ✗ Android SDK is missing command line tools; download from https://goo.gl/XxQghQ
    • Try re-installing or updating your Android SDK,
      visit https://flutter.io/setup/#android-setup for detailed instructions.

第一次运行一个flutter命令(如flutter doctor)时,它会下载它自己的依赖项并自行编译。以后再运行就会快得多。

有时候大家第一次完可能回卡在gradle初始化上,并且会发现在这句代码
https://img.hxyxyz.top:444/images/2019/12/15/2.png

此时我们可以根据提示运行

flutter doctor -v
flutter doctor --android-licenses

即可搞定
https://img.hxyxyz.top:444/images/2019/12/15/3.png

二.Android设置

2.1 安装Android Studio
要为Android开发Flutter应用,您可以使用Mac,Windows或Linux(64位)机器.
地址:https://developer.android.com/studio/index.html
Flutter需要安装和配置Android Studio:

下载并安装 Android Studio.

启动Android Studio,然后执行“Android Studio安装向导”。这将安装最新的Android SDK,Android SDK平台工具和Android SDK构建工具,这是Flutter为Android开发时所必需的

2.2 汉化Android Studio
汉化包下载地址:https://pan.hxyxyz.top/%E6%BA%90%E7%A0%81/AndroidStudio.zip
1、放入lib中就可用的汉化包
  命名为 cn,即 resources_cn_*.jar 的汉化包,直接放到软件安装目录下的 /lib/ 中即可。
  注意:
  不需要重命名,直接放进去就行。
  如果该方法汉化无效,如使用英文操作系统等,可尝试 2 中的方法替换原文件。

2、替换 lib 中原文件的汉化包
命名为 resources_en.jar 的汉化包,复制到 /lib/ 中覆盖原文件即可。

注意:

覆盖前可以把原来的文件备份到其他地方,或者以后需要还原时再从“英文包”文件夹中下载。

  如果不想替换文件,如版本不同的情况,可以将汉化包中的 messages 和 tips 两个文件打包进要汉化的资源包即可

2.3设置您的Android设备
要准备在Android设备上运行并测试您的Flutter应用,您需要安装Android 4.1(API level 16)或更高版本的Android设备.

在您的设备上启用 开发人员选项 和 USB调试 。详细说明可在Android文档中找到。
使用USB将手机插入电脑。如果您的设备出现提示,请授权您的计算机访问您的设备。
在终端中,运行 flutter devices 命令以验证Flutter识别您连接的Android设备。
运行启动您的应用程序 flutter run。
默认情况下,Flutter使用的Android SDK版本是基于你的 adb 工具版本。 如果您想让Flutter使用不同版本的Android SDK,则必须将该 ANDROID_HOME 环境变量设置为SDK安装目录。

2.4设置Android模拟器
要准备在Android模拟器上运行并测试您的Flutter应用,请按照以下步骤操作:
1.在您的机器上启用 VM acceleration
2.启动 Android Studio>Tools>Android>AVD Manager 并选择 Create Virtual Device.
3.选择一个设备并选择 Next。
4.为要模拟的Android版本选择一个或多个系统映像,然后选择 Next. 建议使用 x86 或 x86_64 image .
5.在 Emulated Performance下, 选择 Hardware - GLES2.0 以启用硬件加速.
6.验证AVD配置是否正确,然后选择 Finish。
7.在 Android Virtual Device Manager中, 点击工具栏的 Run。模拟器启动并显示所选操作系统版本或设备的启动画面.
8.运行 flutter run 启动您的设备. 连接的设备名是 Android SDK built for <platform>,其中 platform 是芯片系列, 如 x86.

标签: none

非特殊说明,本博所有文章均为博主原创。

评论啦~